Skip to main content

Documentation Index

Fetch the complete documentation index at: https://api.docs.onlydrams.app/llms.txt

Use this file to discover all available pages before exploring further.

Parameters

price
string
required
The suggested MSRP for the bottle.
secondary
string
required
The suggested secondary value for the bottle.
rarity
string
required
The rarity of the bottle.
size
string
required
The size of the bottle in mL.
sku
string
required
The UPC for the bottle.
image
The image for the bottle.
juice_id
string
required
The juice_id that this bottle belongs to.

Returns

Returns the updated Bottle object if the request was successful, otherwise it returns an error message.
  curl -X POST https://api.onlydrams.app/api/v1/bottles \
       -H "Content-Type: application/json" \
       -H "Authorization: Bearer $ACCESS_TOKEN" \
       -d '{
            "bottle": {
              "price": 89.99
            }
          }'
{
  "bottle": {
    "price": 89.98999786376953,
    "secondary": 0.0,
    "rarity": "uncommon",
    "size": "750",
    "sku": "080686011408",
    "image_url": "https://idkhowthisworksyet.com",
    "juice_id": "1234",
    "juice": [{...}],
    "relatives": [{...}],
    "batches": [{...}]
  }
}